var __wpo = {
  "assets": {
    "main": [
      "./main.js"
    ],
    "additional": [],
    "optional": []
  },
  "hashesMap": {
    "df8b312a45b5f815d0be550730843486": "./main.js"
  },
  "strategy": "all",
  "version": "8/18/2016, 11:55:51 PM",
  "name": "webpack-offline",
  "relativePaths": true
};

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	
	      'use strict';

	if (false) {
	  var DEBUG = false;
	}

	function WebpackServiceWorker(params) {
	  var strategy = params.strategy;
	  var assets = params.assets;
	  var hashesMap = params.hashesMap;

	  // Not used yet
	  // const alwaysRevalidate = params.alwaysRevalidate;
	  // const ignoreSearch = params.ignoreSearch;
	  // const preferOnline = params.preferOnline;

	  var tagMap = {
	    all: params.version,
	    changed: params.version
	  };

	  var CACHE_PREFIX = params.name;
	  var CACHE_TAG = tagMap[strategy];
	  var CACHE_NAME = CACHE_PREFIX + ':' + CACHE_TAG;

	  var STORED_DATA_KEY = '__offline_webpack__data';

	  mapAssets();

	  var allAssets = [].concat(assets.main, assets.additional, assets.optional);
	  var navigateFallbackURL = params.navigateFallbackURL;

	  self.addEventListener('install', function (event) {
	    console.log('[SW]:', 'Install event');

	    var installing = undefined;

	    if (strategy === 'changed') {
	      installing = cacheChanged('main');
	    } else {
	      installing = cacheAssets('main');
	    }

	    event.waitUntil(installing);
	  });

	  self.addEventListener('activate', function (event) {
	    console.log('[SW]:', 'Activate event');

	    var activation = cacheAdditional();

	    // Delete all assets which name starts with CACHE_PREFIX and
	    // is not current cache (CACHE_NAME)
	    activation = activation.then(storeCacheData);
	    activation = activation.then(deleteObsolete);
	    activation = activation.then(function () {
	      if (self.clients && self.clients.claim) {
	        return self.clients.claim();
	      }
	    });

	    event.waitUntil(activation);
	  });

	  function cacheAdditional() {
	    if (!assets.additional.length) {
	      return Promise.resolve();
	    }

	    if (false) {
	      console.log('[SW]:', 'Caching additional');
	    }

	    var operation = undefined;

	    if (strategy === 'changed') {
	      operation = cacheChanged('additional');
	    } else {
	      operation = cacheAssets('additional');
	    }

	    // Ignore fail of `additional` cache section
	    return operation['catch'](function (e) {
	      console.error('[SW]:', 'Cache section `additional` failed to load');
	    });
	  }

	  function cacheAssets(section) {
	    var batch = assets[section];

	    return caches.open(CACHE_NAME).then(function (cache) {
	      return addAllNormalized(cache, batch, {
	        bust: params.version
	      });
	    }).then(function () {
	      logGroup('Cached assets: ' + section, batch);
	    })['catch'](function (e) {
	      console.error(e);
	      throw e;
	    });
	  }

	  function cacheChanged(section) {
	    return getLastCache().then(function (args) {
	      if (!args) {
	        return cacheAssets(section);
	      }

	      var lastCache = args[0];
	      var lastKeys = args[1];
	      var lastData = args[2];

	      var lastMap = lastData.hashmap;
	      var lastVersion = lastData.version;

	      if (!lastData.hashmap || lastVersion === params.version) {
	        return cacheAssets(section);
	      }

	      var lastHashedAssets = Object.keys(lastMap).map(function (hash) {
	        return lastMap[hash];
	      });

	      var lastUrls = lastKeys.map(function (req) {
	        var url = new URL(req.url);
	        url.search = '';

	        return url.toString();
	      });

	      var sectionAssets = assets[section];
	      var moved = [];
	      var changed = sectionAssets.filter(function (url) {
	        if (lastUrls.indexOf(url) === -1 || lastHashedAssets.indexOf(url) === -1) {
	          return true;
	        }

	        return false;
	      });

	      Object.keys(hashesMap).forEach(function (hash) {
	        var asset = hashesMap[hash];

	        // Return if not in sectionAssets or in changed or moved array
	        if (sectionAssets.indexOf(asset) === -1 || changed.indexOf(asset) !== -1 || moved.indexOf(asset) !== -1) return;

	        var lastAsset = lastMap[hash];

	        if (lastAsset && lastUrls.indexOf(lastAsset) !== -1) {
	          moved.push([lastAsset, asset]);
	        } else {
	          changed.push(asset);
	        }
	      });

	      logGroup('Changed assets: ' + section, changed);
	      logGroup('Moved assets: ' + section, moved);

	      var movedResponses = Promise.all(moved.map(function (pair) {
	        return lastCache.match(pair[0]).then(function (response) {
	          return [pair[1], response];
	        });
	      }));

	      return caches.open(CACHE_NAME).then(function (cache) {
	        var move = movedResponses.then(function (responses) {
	          return Promise.all(responses.map(function (pair) {
	            return cache.put(pair[0], pair[1]);
	          }));
	        });

	        return Promise.all([move, addAllNormalized(cache, changed, {
	          bust: params.version
	        })]);
	      });
	    });
	  }

	  function deleteObsolete() {
	    return caches.keys().then(function (keys) {
	      var all = keys.map(function (key) {
	        if (key.indexOf(CACHE_PREFIX) !== 0 || key.indexOf(CACHE_NAME) === 0) return;

	        console.log('[SW]:', 'Delete cache:', key);
	        return caches['delete'](key);
	      });

	      return Promise.all(all);
	    });
	  }

	  function getLastCache() {
	    return caches.keys().then(function (keys) {
	      var index = keys.length;
	      var key = undefined;

	      while (index--) {
	        key = keys[index];

	        if (key.indexOf(CACHE_PREFIX) === 0) {
	          break;
	        }
	      }

	      if (!key) return;

	      var cache = undefined;

	      return caches.open(key).then(function (_cache) {
	        cache = _cache;
	        return _cache.match(new URL(STORED_DATA_KEY, location).toString());
	      }).then(function (response) {
	        if (!response) return;

	        return Promise.all([cache, cache.keys(), response.json()]);
	      });
	    });
	  }

	  function storeCacheData() {
	    return caches.open(CACHE_NAME).then(function (cache) {
	      var data = new Response(JSON.stringify({
	        version: params.version,
	        hashmap: hashesMap
	      }));

	      return cache.put(new URL(STORED_DATA_KEY, location).toString(), data);
	    });
	  }

	  self.addEventListener('fetch', function (event) {
	    var url = new URL(event.request.url);
	    url.search = '';
	    var urlString = url.toString();

	    // Match only GET and known caches, otherwise just ignore request
	    if (event.request.method !== 'GET' || allAssets.indexOf(urlString) === -1) {
	      if (navigateFallbackURL && isNavigateRequest(event.request)) {
	        event.respondWith(handleNavigateFallback(fetch(event.request)));

	        return;
	      }

	      // Fix for https://twitter.com/wanderview/status/696819243262873600
	      if (url.origin !== location.origin && navigator.userAgent.indexOf('Firefox/44.') !== -1) {
	        event.respondWith(fetch(event.request));
	      }

	      return;
	    }

	    var resource = cachesMatch(urlString, CACHE_NAME).then(function (response) {
	      if (response) {
	        if (false) {
	          console.log('[SW]:', 'URL [' + urlString + '] from cache');
	        }

	        return response;
	      }

	      // Load and cache known assets
	      var fetching = fetch(event.request).then(function (response) {
	        if (!response || !response.ok) {
	          if (false) {
	            console.log('[SW]:', 'URL [' + urlString + '] wrong response: [' + response.status + '] ' + response.type);
	          }

	          return response;
	        }

	        if (false) {
	          console.log('[SW]:', 'URL [' + urlString + '] fetched');
	        }

	        var responseClone = response.clone();

	        caches.open(CACHE_NAME).then(function (cache) {
	          return cache.put(urlString, responseClone);
	        }).then(function () {
	          console.log('[SW]:', 'Cache asset: ' + urlString);
	        });

	        return response;
	      });

	      if (navigateFallbackURL && isNavigateRequest(event.request)) {
	        return handleNavigateFallback(fetching);
	      }

	      return fetching;
	    });

	    event.respondWith(resource);
	  });

	  self.addEventListener('message', function (e) {
	    var data = e.data;
	    if (!data) return;

	    switch (data.action) {
	      case 'skipWaiting':
	        {
	          if (self.skipWaiting) self.skipWaiting();
	        }break;
	    }
	  });

	  function handleNavigateFallback(fetching) {
	    return fetching['catch'](function () {}).then(function (response) {
	      if (!response || !response.ok) {
	        if (false) {
	          console.log('[SW]:', 'Loading navigation fallback [' + navigateFallbackURL + '] from cache');
	        }

	        return cachesMatch(navigateFallbackURL, CACHE_NAME);
	      }

	      return response;
	    });
	  }

	  function mapAssets() {
	    Object.keys(assets).forEach(function (key) {
	      assets[key] = assets[key].map(function (path) {
	        var url = new URL(path, location);
	        url.search = '';

	        return url.toString();
	      });
	    });

	    hashesMap = Object.keys(hashesMap).reduce(function (result, hash) {
	      var url = new URL(hashesMap[hash], location);
	      url.search = '';

	      result[hash] = url.toString();
	      return result;
	    }, {});
	  }
	}

	function addAllNormalized(cache, requests, options) {
	  var bustValue = options && options.bust;

	  return Promise.all(requests.map(function (request) {
	    if (bustValue) {
	      request = applyCacheBust(request, bustValue);
	    }

	    return fetch(request);
	  })).then(function (responses) {
	    if (responses.some(function (response) {
	      return !response.ok;
	    })) {
	      return Promise.reject(new Error('Wrong response status'));
	    }

	    var addAll = responses.map(function (response, i) {
	      return cache.put(requests[i], response);
	    });

	    return Promise.all(addAll);
	  });
	}

	function cachesMatch(request, cacheName) {
	  return caches.match(request, {
	    cacheName: cacheName
	  })
	  // Return void if error happened (cache not found)
	  ['catch'](function () {});
	}

	function applyCacheBust(asset, key) {
	  var hasQuery = asset.indexOf('?') !== -1;
	  return asset + (hasQuery ? '&' : '?') + '__uncache=' + encodeURIComponent(key);
	}

	function getClientsURLs() {
	  if (!self.clients) {
	    return Promise.resolve([]);
	  }

	  return self.clients.matchAll({
	    includeUncontrolled: true
	  }).then(function (clients) {
	    if (!clients.length) return [];

	    var result = [];

	    clients.forEach(function (client) {
	      var url = new URL(client.url);
	      url.search = '';
	      url.hash = '';
	      var urlString = url.toString();

	      if (!result.length || result.indexOf(urlString) === -1) {
	        result.push(urlString);
	      }
	    });

	    return result;
	  });
	}

	function isNavigateRequest(request) {
	  return request.mode === 'navigate' || request.headers.get('Upgrade-Insecure-Requests') || (request.headers.get('Accept') || '').indexOf('text/html') !== -1;
	}

	function logGroup(title, assets) {
	  console.groupCollapsed('[SW]:', title);

	  assets.forEach(function (asset) {
	    console.log('Asset:', asset);
	  });

	  console.groupEnd();
	}
	      __webpack_require__(1)
	      WebpackServiceWorker(__wpo);
	      module.exports = __webpack_require__(2)
	    

/***/ },
/* 1 */
/***/ function(module, exports) {

	"use strict";

/***/ },
/* 2 */
/***/ function(module, exports) {

	

/***/ }
/******/ ]);